Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000652 [1003.1(2008)/Issue 7] System Interfaces Comment Enhancement Request 2013-02-06 12:02 2020-03-23 10:44
Reporter geoffclare View Status public  
Assigned To ajosey
Priority normal Resolution Accepted  
Status Applied  
Name Geoff Clare
Organization The Open Group
User Reference
Section mkdtemp
Page Number 1293
Line Number 42463
Interp Status ---
Final Accepted Text
Summary 0000652: Add an EINVAL error for mkstemp()
Description There is an inconsistency between mkdtemp() and mkstemp() in that
mkdtemp() is required to return an EINVAL error if the template does
not end in "XXXXXX", whereas mkstemp() is not.

The suggested change adds a mandatory ("shall fail") EINVAL error
for mkstemp(). Since this is a new requirement on implementations
it should be made in Issue 8. Alternatively, a "may fail" error could
be added in TC2. (Or both could be done, but if a mandatory error
is going to be added in Issue 8 there is little to be gained by
adding an optional error in TC2 first.)
Desired Action At page 1292 line 42441 change:

    The mkdtemp() function shall fail if:

    [EACCES] ...

    [EINVAL] ...

to:

    These functions shall fail if:

    [EINVAL] ...

    The mkdtemp() function shall fail if:

    [EACCES] ...

At page 1293 line 42463 change:

    The error conditions for the mkstemp() function are defined in
    open().

to:

    Additional error conditions for the mkstemp() function are defined
    in open().
Tags issue8
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-02-06 12:02 geoffclare New Issue
2013-02-06 12:02 geoffclare Status New => Under Review
2013-02-06 12:02 geoffclare Assigned To => ajosey
2013-02-06 12:02 geoffclare Name => Geoff Clare
2013-02-06 12:02 geoffclare Organization => The Open Group
2013-02-06 12:02 geoffclare Section => mkdtemp
2013-02-06 12:02 geoffclare Page Number => 1293
2013-02-06 12:02 geoffclare Line Number => 42463
2013-02-06 12:02 geoffclare Interp Status => ---
2013-02-28 17:10 Don Cragun Status Under Review => Resolved
2013-02-28 17:10 Don Cragun Resolution Open => Accepted
2013-02-28 17:10 Don Cragun Tag Attached: issue8
2020-03-23 10:44 geoffclare Status Resolved => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker